if [ ${BRANCH} == 'master' ]; then
	TEST_URL='http://beer.k3s.kleph.eu'
else
	TEST_URL='http://staging.beer.k3s.kleph.eu'
fi
echo "testing URL: ${TEST_URL}"

while :
do
	status_code=$(curl -o /dev/null -s -w '%{http_code}' ${TEST_URL})
	echo "status code: ${status_code}"
	[[ ${status_code} -eq 200 ]] && break
	[[ ${i} -gt 5 ]] && exit 1
	echo "service not ready or in error"
	sleep 5
	i=$(( i+1 ))
done


CURL_OPTS='-s'
# default
curl ${CURL_OPTS} ${TEST_URL} | grep -q 'setHours( 17, 30);'
[ $? -ne 0 ] && echo "Failed with default" && exit 1

# set 1 parameter
hours=18
curl ${CURL_OPTS} ${TEST_URL}/${hours} | grep -q "setHours( ${hours}, 0);"
[ $? -ne 0 ] && echo "Failed with 1 parameter set" && exit 1

# set 2 parameters
minutes=30
curl ${CURL_OPTS} ${TEST_URL}/${hours}/${minutes} | grep -q "setHours( ${hours}, ${minutes});"
[ $? -ne 0 ] && echo "Failed with 2 parameters set" && exit 1

echo "OK"
exit 0
